# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}


%define _libdir64 %{_prefix}/lib64

Summary: A terminal multiplexer
Name: tmux 
Version: 3.1b
Release: 1
License: ISC
Group:   Development/Languages
URL:  https://tmux.github.io
Source0: https://github.com/%{name}/%{name}/archive/%{version}.tar.gz 
Patch0: tmux-3.1b-aix.patch

BuildRequires:  libevent-devel >= 2.1.12
Requires: 	libevent >= 2.1.12

%description
tmux is a terminal multiplexer. It lets you switch easily between several programs in one terminal, detach them (they keep running in the background) and reattach them to a different terminal.

%prep
%setup 
%patch0 -p0

%build
export CC="/opt/freeware/bin/gcc"

# Build 64 bit
export OBJECT_MODE=64
export CFLAGS="-O2 -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"

./autogen.sh
./configure  \
  --prefix=%{_prefix} \
   --libdir=%{_libdir64} \
   --mandir=%{_mandir}
	
gmake %{?_smp_mflags} VERBOSE=1 

%install

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

# install on 64bit mode
export OBJECT_MODE=64
gmake DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc CHANGES
%{_bindir}/tmux
%{_mandir}/man1/tmux.1

%changelog
* Wed Nov 18 2020 Ashwini Chandrappa<ashwic22@in.ibm.com> - 3.1b-1 
- Initial build

